{"openapi":"3.0.0","info":{"title":"123MotosPaso4","version":"1.0.0"},"servers":[{"url":"https://virtserver.swaggerhub.com/123seguro/123Motos-Paso4/1.0.0","description":"SwaggerHub API Auto Mocking"},{"url":"https://apigw-ci.123seguro.com/api/ar/motos","description":"Servidor de Test"}],"security":[{"bearerAuth":[]}],"paths":{"/resources/paises":{"get":{"responses":{"200":{"description":"A JSON array paises object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200"}}}}},"security":[{"bearerAuth":[]}]}},"/resources/bancos":{"get":{"responses":{"200":{"description":"A JSON array bancos object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_1"}}}}},"security":[{"bearerAuth":[]}]}},"/resources/tarjetas":{"get":{"responses":{"200":{"description":"A JSON array tarjetas object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_2"}}}}},"security":[{"bearerAuth":[]}]}},"/resources/estados/{tipo}":{"get":{"parameters":[{"name":"tipo","in":"path","description":"The tipo of the estados to get","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"A JSON array estados object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_3"}}}}},"security":[{"bearerAuth":[]}]}},"/resources/cotizacion/{id}":{"get":{"parameters":[{"name":"id","in":"path","description":"The id of the cotizacion to get","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"A JSON cotizacion object","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_4"}}}}},"security":[{"bearerAuth":[]}]}},"/resources/usuarios/{usuario_id}":{"put":{"summary":"Update a usuario","parameters":[{"name":"usuario_id","in":"path","description":"The usuario_id of the usuario to update","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"PUT parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body"}}},"required":false},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_5"}}}}},"security":[{"bearerAuth":[]}]}},"/resources/domicilios/{domicilio_id}":{"put":{"summary":"Update a domicilio","parameters":[{"name":"domicilio_id","in":"path","description":"The domicilio_id of the domicilio to update","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"PUT parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_1"}}},"required":false},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"properties":{"data":{"type":"object","properties":{"id":{"type":"integer","example":2831313}}}}}}}}},"security":[{"bearerAuth":[]}]}},"/resources/motoInfo/{moto_id}":{"put":{"summary":"Update a moto info","parameters":[{"name":"moto_id","in":"path","description":"The moto_id of the moto to update","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"PUT parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_2"}}},"required":false},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"id":{"type":"integer","example":14232}}}}}}}}},"security":[{"bearerAuth":[]}]}},"/resources/propuestas":{"post":{"summary":"Add a new propuesta","requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_3"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"id":{"type":"integer","example":412423}}}}}}}},"201":{"description":"Created"}},"security":[{"bearerAuth":[]}]}},"/resources/propuestas/{propuesta_id}":{"put":{"summary":"Update a propuesta","parameters":[{"name":"propuesta_id","in":"path","description":"The propuesta_id of the propuesta to update","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"PUT parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_4"}}},"required":false},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"properties":{"data":{"type":"object","properties":{"id":{"type":"integer","example":2831313}}}}}}}}},"security":[{"bearerAuth":[]}]}},"/resources/polizas":{"post":{"summary":"Add a new poliza","requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_5"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"id":{"type":"integer","example":412423}}}}}}}},"201":{"description":"Created"}},"security":[{"bearerAuth":[]}]}},"/resources/polizas/{poliza_id}":{"put":{"summary":"Update a poliza","parameters":[{"name":"poliza_id","in":"path","description":"The poliza_id of the poliza to update","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"PUT parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_6"}}},"required":false},"responses":{"200":{"description":"Updated","content":{"application/json":{"schema":{"properties":{"data":{"type":"object","properties":{"id":{"type":"integer","example":2831313}}}}}}}}},"security":[{"bearerAuth":[]}]}},"/resources/adjuntos":{"post":{"summary":"Add a new adjunto","requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_7"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"id":{"type":"integer","example":412423}}}}}}}},"201":{"description":"Created"}},"security":[{"bearerAuth":[]}]}},"/resources/interacciones":{"post":{"summary":"Add a new interaccion","requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_8"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"id":{"type":"integer","example":412423}}}}}}}},"201":{"description":"Created"}},"security":[{"bearerAuth":[]}]}},"/resources/inspecciones":{"post":{"summary":"Add a new inspection","requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_9"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/inline_response_200_5"}}}},"201":{"description":"Created"}},"security":[{"bearerAuth":[]}]}},"/solicitar/{cotizacion_id}":{"post":{"summary":"Solicitar","parameters":[{"name":"cotizacion_id","in":"path","description":"The cotizacion_id for solicitar","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"type":"object"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"status":{"type":"integer","example":200},"num_propuesta":{"type":"integer","example":218921},"observacion":{"type":"string","example":"Propuesta emitida correctamente"},"estado":{"type":"string","example":"Emitida"},"estado_id":{"type":"integer","example":42}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"status":{"type":"integer","example":400},"errors":{"type":"array","items":{"properties":{"error":{"type":"string","example":"Error ws"}}}}}}}}}}}},"security":[{"bearerAuth":[]}]}},"/imprimir/{cotizacion_id}":{"post":{"summary":"Impresion","parameters":[{"name":"cotizacion_id","in":"path","description":"The cotizacion_id for imprimir","required":true,"style":"simple","explode":false,"schema":{"type":"integer"}}],"requestBody":{"description":"POST parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_10"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"status":{"type":"integer","example":200},"msg":{"type":"string","example":"PDF descargado en el servidor de 123."},"url":{"type":"string","example":"http://url"}}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"status":{"type":"integer","example":400},"errors":{"type":"array","items":{"properties":{"error":{"type":"string","example":"Error ws"}}}}}}}}}}}},"security":[{"bearerAuth":[]}]}},"/resources/paso4/{token}":{"put":{"summary":"Update a token paso4","parameters":[{"name":"token","in":"path","description":"The token of the paso4 to update","required":true,"style":"simple","explode":false,"schema":{"type":"string"}}],"requestBody":{"description":"PUT parameters","content":{"application/json":{"schema":{"$ref":"#/components/schemas/body_11"}}},"required":true},"responses":{"200":{"description":"Created","content":{"application/json":{"schema":{"properties":{"data":{"properties":{"token":{"type":"string","example":"eyJpdiI6ImZFXC9lSkxUOFJCakEzSlBUQlg4c0VRPT0iLCJ2YWx1ZSI6IldDVFlUanRHQSs3bG1yem5iSVpmaGVBZTZyWFJ2QjhYVlZMbnVGamkyR2ZObGVhcGlDeTVBNWY2ZHVLZkhlR08iLCJtYWMiOiIzNGNjYzQzYzI4MTBjZjUzMWEyY2YyY2I3ODllYmVmOGJlMmJmY2Q4OWU3ZjViYTE0MWZhZDExYjUxYWQyMmJmIn0="}}}}}}}},"201":{"description":"Created"}},"security":[{"bearerAuth":[]}]}}},"components":{"schemas":{"inline_response_200_data":{"type":"object","properties":{"id":{"type":"integer","example":1},"nombre":{"type":"string","example":"Argentina"}}},"inline_response_200":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/inline_response_200_data"}}}},"inline_response_200_1_data":{"type":"object","properties":{"id":{"type":"integer","example":22},"nombre":{"type":"string","example":"Banco Santander Rio"}}},"inline_response_200_1":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/inline_response_200_1_data"}}}},"inline_response_200_2_data":{"type":"object","properties":{"id":{"type":"integer","example":5},"nombre":{"type":"string","example":"Visa Crédito"}}},"inline_response_200_2":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/inline_response_200_2_data"}}}},"inline_response_200_3_data":{"type":"object","properties":{"id":{"type":"integer","example":38},"nombre":{"type":"string","example":"Pendiente"},"tipo":{"type":"string","example":"propuesta"}}},"inline_response_200_3":{"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/inline_response_200_3_data"}}}},"inline_response_200_4_data":{"type":"object","properties":{"id":{"type":"integer","example":16},"usuario_id":{"type":"integer","example":4123121},"moto_id":{"type":"integer","example":4231},"cobertura_interna_id":{"type":"integer","example":41},"condiciones_comerciales_id":{"type":"integer","example":22}}},"inline_response_200_4":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/inline_response_200_4_data"}}},"body":{"type":"object","properties":{"tipo_doc_id":{"type":"integer","example":1},"dni":{"type":"integer","example":30298716},"fecha_nacimiento":{"type":"string","example":"2019-02-07"},"sexo":{"type":"integer","example":1},"estado_civil_id":{"type":"integer","example":1},"pais_id":{"type":"integer","example":1},"celular":{"type":"integer","example":1130920191}}},"inline_response_200_5_data":{"type":"object","properties":{"id":{"type":"integer","example":271261}}},"inline_response_200_5":{"type":"object","properties":{"data":{"$ref":"#/components/schemas/inline_response_200_5_data"}}},"body_1":{"type":"object","properties":{"calle":{"type":"string","example":"Ravignani"},"numero":{"type":"integer","example":1470},"dpto":{"type":"string","example":"80"},"piso":{"type":"string","example":"2"},"entre_calles":{"type":"string","example":"Cabrera y Niceto"}}},"body_2":{"type":"object","properties":{"patente":{"type":"string","example":"242SWA"},"motor":{"type":"string","example":"12897391287398"},"chasis":{"type":"string","example":"12897312982313"},"tarjeta_id":{"type":"integer","example":5},"banco_id":{"type":"integer","example":20},"num_tarjeta":{"type":"string","example":"4055167802302037"},"vencimiento":{"type":"string","example":"2020-02-01T00:00:00.000Z"}}},"body_3":{"type":"object","properties":{"vigencia_desde":{"type":"string","example":"2019-02-10 (Fecha de hoy)"},"vigencia_hasta":{"type":"string","example":"2020-02-10 (Sumar cantidad de cuotas de la cia)"},"moto_id":{"type":"integer","example":2039},"administrador_id":{"type":"integer","example":1},"estados_id":{"type":"integer","example":38},"usuario_id":{"type":"integer","example":4921821},"prima":{"type":"string","example":"420.00 (sacar de la cotizacion)"},"cobertura_id":{"type":"integer"},"riesgo_id":{"type":"integer","example":9},"compania_id":{"type":"integer","example":6},"cobertura_interna_id":{"type":"integer","example":240},"condiciones_comerciales_id":{"type":"integer","example":10}}},"body_4":{"type":"object","properties":{"estados_id":{"type":"integer","example":42},"es_ws":{"type":"integer"},"num_propuesta":{"type":"string","example":"902881920"}}},"body_5":{"type":"object","properties":{"estados_id":{"type":"integer","example":43},"propuesta_id":{"type":"integer","example":271261},"vigencia_desde":{"type":"string","example":"2019-02-10 (misma que la propuesta)"},"vigencia_hasta":{"type":"string","example":"2020-02-10 (misma que la propuesta)"},"facturacion":{"type":"integer"},"nro_poliza":{"type":"integer"},"prima":{"type":"integer"},"premio":{"type":"integer"},"administrador_id":{"type":"integer","example":1},"usuario_id":{"type":"integer","example":4289102},"es_ws":{"type":"integer","example":1}}},"body_6":{"type":"object","properties":{"pdf":{"type":"integer"}}},"body_7":{"type":"object","properties":{"url":{"type":"string","example":"propuesta"},"nombre":{"type":"string","example":"2718219.PDF"},"tipo":{"type":"string","example":"certificado"},"propuesta_id":{"type":"integer","example":231232},"poliza_id":{"type":"integer","example":231231},"aws_s3":{"type":"integer"}}},"body_8":{"type":"object","properties":{"tipo_interaccion_id":{"type":"integer","example":118},"administrador_id":{"type":"integer","example":1},"usuario_id":{"type":"integer","example":5023129},"moto_id":{"type":"integer","example":4203},"descripcion":{"type":"string","example":"Descripción de la interaccion"}}},"body_9":{"type":"object","properties":{"propuesta_id":{"type":"integer","example":53411},"usuario_id":{"type":"integer","example":214122},"administrador_id":{"type":"integer","example":1},"estados_id":{"type":"integer","example":38},"tipo":{"type":"integer"},"subtipo":{"type":"string","example":"normal (Opciones = normal, cero_km. Requerido cuando es por foto)"},"centro_id":{"type":"integer","example":32},"fecha_turno":{"type":"string","example":"2019-02-10 (> hoy)"},"no_rodamiento":{"type":"string","example":"Aca va la foto. (requerido cuando es cero_km)"},"frente":{"type":"string","example":"Aca va la foto. (requerido cuando es normal)"},"trasera":{"type":"string","example":"Aca va la foto. (requerido cuando es normal)"},"izquierda":{"type":"string","example":"Aca va la foto. (requerido cuando es normal)"},"derecha":{"type":"string","example":"Aca va la foto. (requerido cuando es normal)"},"cedula":{"type":"string","example":"Aca va la foto. (requerido cuando es por foto)"}}},"body_10":{"type":"object","properties":{"tipo_operacion":{"type":"string","example":"poliza"},"nombre":{"type":"string","example":"281921.PDF"},"operacion":{"type":"string","example":"281921 (nro que devuelve la cia en la emision)"}}},"body_11":{"type":"object","properties":{"init_at":{"type":"string","example":"2019-02-10T14:23:32.000Z"},"finish_at":{"type":"string","example":"2019-02-10T14:25:32.000Z"}}}}}}